=== debian/changelog ===
netbeans (10.0-3ubuntu3) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:03:28 +0000

netbeans (10.0-3ubuntu2) eoan; urgency=medium

  * Backport upstream patch to remove old javadoc api and implementation usage
    to make it work with OpenJDK 11 and later. (Closes: #925509, LP: #1828427)
  * Depend on java11-sdk instead of java8-sdk as Netbeans is now configured to
    run with openjdk-11. (LP: #1825604)

 -- Tiago Stürmer Daitx <tiago.daitx@ubuntu.com>  Tue, 21 May 2019 20:22:04 +0000

netbeans (10.0-3) unstable; urgency=medium

  * Drop javaewah-version.patch
  * Tighten dependency on libjavaewah-java (>= 0.7.9)
  * Start new changelog entry
  * Disable the javafx.cluster because JavaFX will not work with OpenJDK 11 and
    Netbeans 10.
    Update nb-javac.patch and hide some classes from the CLASSPATH. nb-javac
    needs to override classfiles in the JDK and some OSGi metadata is only
    present in the prebuilt version from the plugin portal. This has to be
    added to fix the sealing violation error.
    Thanks to Jan Lahoda and Jaroslav Tulach for the help and support.
    (Closes: #920707)

 -- Markus Koschany <apo@debian.org>  Thu, 28 Feb 2019 23:16:54 +0100

netbeans (10.0-2) unstable; urgency=medium

  * Replace NoJavacHelper.patch with Unsafe.patch which is much better.
  * Fix broken subversion support by symlinking all necessary system jars to
    the ide cluster.
  * Remove netbeans-slf4j.dummy.patch again.
  * Add nb-javac.patch. The nb-javac module is not properly detected. This
    patch adds the necessary jar files to the Class-Path. However now there is
    an Unexpected Exception, a sealing violation. It appears to be harmless
    but the notification at startup is irritating.

 -- Markus Koschany <apo@debian.org>  Sun, 27 Jan 2019 23:15:32 +0100

netbeans (10.0-1) unstable; urgency=medium

  * New upstream version 10.0.
     - Fixes CVE-2016-5537. (Closes: #852029)
     - Fix Netbeans is not starting. (Closes: #894715)
     - Fix broken symlinks. (Closes: #857955)
  * Declare compliance with Debian Policy 4.3.0.
  * Use canonical VCS URI.
  * Remove w3c-sgm-lib and libpostgresql-jdbc-java dependencies.
  * Drop libmysql-java dependency. (Closes: #913362)

 -- Markus Koschany <apo@debian.org>  Fri, 25 Jan 2019 16:43:29 +0100

netbeans (8.1+dfsg3-5) unstable; urgency=medium

  * Update osgi-update.patch and sync it with the latest version of
    libequinox-osgi-java. (Closes: #891957)
  * Build-depend and depend on openjdk-8-jdk, otherwise Netbeans will not work.
  * Build-conflict against OpenJDK 10 and OpenJDK 11.
  * Declare compliance with Debian Policy 4.1.4.
  * Switch to compat level 11.

 -- Markus Koschany <apo@debian.org>  Wed, 06 Jun 2018 11:04:58 +0200
