=== debian/control ===
Source: netbeans
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrew Ross <ubuntu@rossfamily.co.uk>,
 Markus Koschany <apo@debian.org>
Build-Depends:
 ant,
 ant-optional,
 antlr3 (>= 3.5.2),
 debhelper (>= 11),
 default-jdk,
 icnsutils,
 javacc,
 javahelp2,
 javahelper,
 junit,
 junit4,
 libactivation-java,
 libantlr4-runtime-java,
 libbeansbinding-java,
 libbindex-java,
 libbyte-buddy-java,
 libbytelist-java,
 libcglib-java (>= 3.0),
 libcommons-codec-java,
 libcommons-compress-java,
 libcommons-io-java,
 libcommons-lang-java,
 libcommons-logging-java,
 libcommons-net-java,
 libeclipselink-java,
 libequinox-osgi-java (>= 3.9.1-4),
 libfelix-framework-java,
 libfelix-main-java,
 libfreemarker-java,
 libgoogle-gson-java (>= 2.8.5-3),
 libguava-java,
 libhamcrest-java,
 libhtml5parser-java,
 libhttpclient-java,
 libicu4j-4.4-java,
 libini4j-java,
 libjavaewah-java (>= 0.7.9),
 libjaxb-api-java,
 libjaxb-java,
 libjemmy2-java,
 libjgit-java,
 libjna-java,
 libjna-platform-java,
 libjnlp-servlet-java,
 libjpa-2.1-spec-java,
 libjsch-agent-proxy-java (>= 0.0.8),
 libjsch-java,
 libjson-simple-java,
 libjsr305-java,
 libjvyamlb-java,
 libjzlib-java,
 liblucene3-java,
 libnb-javaparser-java (>= 9),
 libopenjfx-java,
 libosgi-compendium-java (>= 5.0.0),
 libosgi-core-java (>= 6.0.0),
 libservlet3.1-java,
 libsimple-validation-java,
 libsqljet-java,
 libstringtemplate-java,
 libsvn-java,
 libsvnclientadapter-java,
 libsvnkit-java,
 libswing-layout-java,
 libswingx-java,
 libtrilead-ssh2-java,
 libws-commons-util-java,
 libxerces2-java,
 libxml-commons-resolver1.1-java,
 maven-repo-helper,
 testng
Standards-Version: 4.3.0
Homepage: https://netbeans.org/
Vcs-Browser: https://salsa.debian.org/java-team/netbeans
Vcs-Git: https://salsa.debian.org/java-team/netbeans.git

Package: libnb-absolutelayout-java
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends}
Description: Java LayoutManager to allow placement in absolute positions
 This library is part of the Netbeans platform and provides an
 implementation of the java.awt.LayoutManager interface. This
 implementation allows you to position components by their
 absolute position.

Package: libnb-apisupport3-java
Architecture: all
Depends:
 libnb-ide14-java (= ${binary:Version}),
 libnb-java5-java (= ${binary:Version}),
 libnb-platform-devel-java (>= 10.0),
 libnb-platform18-java (>= 10.0),
 ${java:Depends},
 ${misc:Depends}
Description: Common NetBeans Platform Development Related Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package contains
 common libraries for development of NetBeans Platform modular extensions.

Package: libnb-ide14-java
Architecture: all
Depends:
 antlr3 (>= 3.5.2),
 libantlr4-runtime-java,
 libasm-java (>= 5),
 libbytelist-java,
 libcommons-codec-java,
 libcommons-io-java,
 libcommons-lang-java,
 libcommons-logging-java,
 libcommons-net-java,
 libfreemarker-java,
 libhtml5parser-java,
 libhttpclient-java,
 libicu4j-4.4-java,
 libini4j-java,
 libjavaewah-java (>= 0.7.9),
 libjaxb-api-java,
 libjaxb-java,
 libjgit-java,
 libjsch-agent-proxy-java (>= 0.0.8),
 libjsch-java,
 libjson-simple-java,
 libjvyamlb-java,
 libjzlib-java,
 liblucene3-java,
 libnb-platform18-java (>= 10),
 libservlet3.1-java,
 libsimple-validation-java,
 libsqljet-java,
 libsvn-java,
 libsvnclientadapter-java,
 libsvnkit-java,
 libswingx-java,
 libtrilead-ssh2-java,
 libws-commons-util-java,
 libxerces2-java,
 libxml-commons-resolver1.1-java,
 ${java:Depends},
 ${misc:Depends}
Description: Common Integrated Development Environment Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package contains
 independent libraries for use in the NetBeans IDE.

Package: libnb-java5-java
Architecture: all
Depends:
 ant,
 ant-optional,
 junit,
 junit-doc,
 junit4-doc,
 libbeansbinding-java,
 libbyte-buddy-java,
 libcglib-java (>= 3.0),
 libeclipselink-java,
 libnb-absolutelayout-java,
 libnb-ide14-java (= ${binary:Version}),
 libnb-javaparser-java (>= 9),
 libnb-platform18-java (>= 10.0),
 ${java:Depends},
 ${misc:Depends}
Description: Common Java Related Libraries for NetBeans
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package contains
 common libraries for the NetBeans Java IDE.

Package: netbeans
Architecture: all
Depends:
 default-jdk | java11-sdk,
 libnb-apisupport3-java (= ${binary:Version}),
 libnb-ide14-java (= ${binary:Version}),
 libnb-java5-java (= ${binary:Version}),
 libnb-platform18-java (>= 10),
 ${java:Depends},
 ${misc:Depends}
Description: Extensible Java IDE
 Integrated Development Environment for software developers. It supports
 development of desktop, enterprise, web, and mobile applications. Package
 includes the Base IDE, Java Development Tools and Plug-in Development Tools.
 Support for PHP, Ruby, C/C++, Java EE and others can be added.
