=== debian/watch ===
version=3
https://www.apache.org/dyn/closer.cgi/incubator/netbeans/incubating-netbeans/incubating-(\d.*)/incubating-netbeans-(\d.*)-source\.zip
