## netbeans 12.1

=== debian/changelog ===
netbeans (12.1-3) unstable; urgency=medium

  * No change rebuild to allow the migration to testing.

 -- Markus Koschany <apo@debian.org>  Thu, 22 Oct 2020 16:52:57 +0200

netbeans (12.1-2) unstable; urgency=medium

  * No change rebuild. Reintroduce libnb-absolutelayout-java after it got
    accidentally removed.

 -- Markus Koschany <apo@debian.org>  Wed, 21 Oct 2020 22:36:36 +0200

netbeans (12.1-1) unstable; urgency=medium

  * Only build libnb-absolutelayout-java from now on. Drop netbeans and Co
    because it is not viable to maintain the editor in Debian. We recommend to
    install the flatpack version from flathub instead.
    (Closes: #925509, #929561, #960692, #815028, #805769, #920706, #922190)
    (Closes: #960749, #653132, #877626, #935008)
  * Remove Andrew Ross from Uploaders. He is not active anymore.

 -- Markus Koschany <apo@debian.org>  Sat, 03 Oct 2020 22:51:24 +0200
